Bug 1567224 - GNOME Tweak Tool still enables user to select scaling factor [rhel-7.5.z]
Summary: GNOME Tweak Tool still enables user to select scaling factor [rhel-7.5.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-tweak-tool
Version: 7.5
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Carlos Soriano
QA Contact: Desktop QE
Jaroslav Klech
URL:
Whiteboard:
Depends On: 1567040
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 15:26 UTC by Oneata Mircea Teodor
Modified: 2018-05-14 16:12 UTC (History)
8 users (show)

Fixed In Version: gnome-tweak-tool-3.22.0-2.el7_5
Doc Type: Bug Fix
Doc Text:
In RHEL 7.5, support for managing HiDPI settings was added to GNOME Control Center. This option was previously available through the GNOME Tweak Tool utility. As a consequence, mixing the two ways to configure HiDPI often led to mismatched sizing between GNOME Shell and applications. This update removes the configuration options from GNOME Tweak Tool. As a result, configuration mismatches no longer happen, and HiDPI settings are only managed in GNOME Control Center. If sizing issues persist, run the following commands from the terminal emulator: 'gsettings reset org.gnome.desktop.interface scaling-factor' and 'gsettings reset org.gnome.settings-daemon.plugins.xsettings overrides', and then configure HiDPI again in GNOME Control Center.
Clone Of: 1567040
Environment:
Last Closed: 2018-05-14 16:11:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1397 0 None None None 2018-05-14 16:12:02 UTC

Description Oneata Mircea Teodor 2018-04-13 15:26:11 UTC
This bug has been copied from bug #1567040 and has been proposed to be backported to 7.5 z-stream (EUS).

Comment 3 Jaroslav Klech 2018-04-19 09:20:46 UTC
Hi Carlos,

Please, could you provide info to document this bug in CCFR structure (cause, consequence, fix, result)?

Thank you

Jaroslav

Comment 4 Kalev Lember 2018-04-27 11:36:18 UTC
Hi Jaroslav,

The issue that this update addresses is that we added HiDPI settings to control-center 3.26 in RHEL 7.5, but forgot to take out the setting from gnome-tweak-tool. Using gnome-tweak-tool's "Windows -> HiDPI -> Window scaling" option messes up HiDPI settings in a way that it's difficult for users to fix afterwards. Just resetting the setting in gnome-tweak-tool isn't enough; have to do "gsettings reset org.gnome.desktop.interface scaling-factor" on the command line to completely undo it.

The fix in this update is that it removes gnome-tweak-tool's "Windows -> HiDPI -> Window scaling" option to avoid users messing up HiDPI settings in their system and ending up in a state where control-center's new HiDPI settings don't work properly (end up with mismatched gnome-shell sizing and app sizing).

For more info, see https://bugzilla.redhat.com/show_bug.cgi?id=1567040#c0 and http://post-office.corp.redhat.com/archives/tech-list/2018-April/msg00227.html

Comment 5 Jaroslav Klech 2018-05-02 08:05:32 UTC
Hi Kalev,

I have modified the content in doc_text. Could you have a look and tell me whether it is still correct?

Thank you

Jaroslav

Comment 6 Kalev Lember 2018-05-02 10:08:24 UTC
Looks good to me, thanks.

Comment 7 Tomas Pelka 2018-05-02 10:56:24 UTC
Jaroslav I would maybe add few things:

- HiDPI is Wayland only feature
- gnome-tweak-tool did set WindowScallingFactor which is not the same as HiDPI.
- if user for some reason want still set WindowScallingFactor he need to use dconf, property is called org.gnome.settings-daemon.pluggins.xsettings.overrides, cusomt value should be set to "{'Gdk/WindowScalingFactor': <1>}" (the number corresponf to scalling factor)

Kalev would you agree?

Comment 8 Kalev Lember 2018-05-02 11:08:55 UTC
I agree, just a typo on the setting name above. Should be "org.gnome.settings-daemon.plugins.xsettings overrides"

Comment 11 Kalev Lember 2018-05-03 09:19:17 UTC
I just double checked and HiDPI works just fine under X11 when configured through GNOME Control Center. If it doesn't work for you tpelka, maybe you either have a too low res monitor for it to kick in, or you've changed one of the gsettings values that make it not work correctly? I believe it needs resolution higher than 1920x1080 for it to work. I have 1920x1200 and changing HiDPI settings in X11 in control-center works just fine here.

I'd suggest the following for the doc text:

"In RHEL 7.5, GNOME Control Center gained support for managing HiDPI settings. This option was previously available through GNOME Tweak Tool. This errata removes the configuration option from GNOME Tweak Tool, as mixing two ways to configure HiDPI often led to mismatched sizing between GNOME Shell and applications. If sizing issues persist, it's suggested to run the following commands from terminal: 'gsettings reset org.gnome.desktop.interface scaling-factor' and 'org.gnome.settings-daemon.plugins.xsettings overrides', and then configure HiDPI again in GNOME Control Center."

tpelka, do you want to check if the commands above make HiDPI work for you on X11?

Comment 12 Kalev Lember 2018-05-03 09:23:23 UTC
Quick demo how it works (this is under X11): https://kalev.fedorapeople.org/rhel-7.5-hidpi-x11.webm

Comment 13 Kalev Lember 2018-05-03 11:35:03 UTC
Looks good to me, just one nitpick:

> If sizing issues persist, run the following commands from the terminal emulator: 'gsettings reset org.gnome.desktop.interface scaling-factor' and 'org.gnome.settings-daemon.plugins.xsettings overrides'

The second "command" is actually not a command but just a fragment of it. I'd maybe spell it fully out to make it easier to copy-paste it to the terminal, so it says 'gsettings reset org.gnome.settings-daemon.plugins.xsettings overrides'

Comment 14 Kalev Lember 2018-05-03 14:28:56 UTC
Looks good to me, thanks.

Comment 16 errata-xmlrpc 2018-05-14 16:11:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1397


Note You need to log in before you can comment on or make changes to this bug.